function IsSmartphone() {
	return DetectUagent("android") ||
    	DetectUagent("iphone") ||
    	DetectUagent("ipod") ||
    	DetectUagent("symbian") ||
    	DetectUagent("series60") ||
    	DetectUagent("windows phone") ||    	
    	(DetectUagent("windows nt") && DetectUagent("arm")) || // Windows 8 on phone and surface!
    	DetectUagent("blackberry");    	
}

function IsIpad() {
    return DetectUagent("ipad");    		
}

function DetectUagent(name){
    return (navigator.userAgent.toLowerCase().search(name) > -1);
}	
